%global momorel 8

Summary: SCIM-UIM input method engine which use uim library as the backend
Name: scim-uim
Version: 0.1.3
Release: %{momorel}m
URL: http://www.scim-im.org/
Source0: http://jaist.dl.sourceforge.net/sourceforge/scim/%{name}-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
License: GPL
Group: Applications/System
Requires: scim >= 1.4.4, uim >= 1.2.0
BuildRequires: scim-devel >= 1.4.4, uim-devel >= 1.2.0

%description
This is a SCIM IMEngine module which uses UIM input method library
as the backend.

%prep
%setup -q 

%build
%configure --disable-static
%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%{_libdir}/scim-1.0/IMEngine/*
%{_datadir}/scim/icons/scim-uim.png

%changelog
* Sat Aug  5 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-8m)
- rebuild against uim-1.2.0

* Sat Jun 10 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-7m)
- rebuild against uim-1.1.0

* Thu Aug 11 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-6m)
- rebuild against scim-1.4.1-1m
- change URL

* Thu Mar  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-5m)
- remove xim.d/scim-uim

* Thu Mar  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-4m)
- add QT_IM_MODULE to xim.d/scim-uim

* Thu Mar  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-3m)
- rebuild against scim-1.2.0

* Wed Sep 29 2004 kourin <kourin@fh.freeserve.ne.jp>
- (0.1.3-2m)
- minor fix

* Tue Sep 21 2004 Meke <meke@apost.plala.or.jp>
- (0.1.3-1m)
- import VineSeedPlus
- add /etc/X11/xinit/xim.d/scim-uim
- fix build.

* Wed Sep  8 2004 IWAI, Masaharu <iwai@alib.jp> 0.1.3-0vl1
- initial build

